Subject: Re: [PATCH v2 1/3] dt-bindings: net: bluetooth: add DT binding for Realtek controllers

From: Rob Herring <[email-masked]>
Date: Tue, 5 Nov 2019 16:28:31 -0600

On Mon, Nov 04, 2019 at 03:20:59PM +0100, Marcel Holtmann wrote:
> Hi Hugo,
> 
> >> The rtl_bt driver already supports some Realtek controllers on ACPI
> >> platforms.
> >> This commit adds bindings for DT-only platforms.
> >> 
> >> Signed-off-by: Hugo Grostabussiat <[email-masked]>
> >> ---
> >> .../bindings/net/realtek-bluetooth.txt        | 25 +++++++++++++++++++
> >> 1 file changed, 25 insertions(+)
> >> create mode 100644 Documentation/devicetree/bindings/net/realtek-bluetooth.txt
> > 
> > You should write that binding using a YAML description. Free-form
> > device tree bindings are more or less deprecated now.
> 
> unless we change all the Bluetooth descriptions, I prefer we keep it the “old” way.

Who's going to do that? Me? You? Randomly select some poor soul to do 
them all to get their device added? I only have 3500 to do. An all at 
once approach doesn't really work nor is it necessary.

I'd suggest new ones in schema and if you want to encourage conversions 
require any changes on existing ones to first be converted. Still up to 
you because it goes thru your tree.

> > IIRC, that has been discussed before and the standard "model" property
> > was to be preferred.
> 
> This one should really get an ACK from Rob.

Humm, maybe, but I don't see 'model' used in this context.

Rob

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel